#include "KCirclePawn.h"

namespace KapitanGame
{
	KCirclePawn::KCirclePawn(const KVector2D& position, const KTexture& texture,
		const std::shared_ptr<KPlayerController>& playerController) : KPawn(position, texture, playerController),
		Collider(this, static_cast<float>(texture.GetWidth())/2.0f)
	{
	}

	const KCollider* KCirclePawn::GetCollider() const
	{
		return &Collider;
	}
}
