#pragma once
#include "KPawn.h"
#include "KRect.h"

namespace KapitanGame
{
	class KRectPawn final :
		public KPawn
	{
	public:
		KRectPawn(const KVector2D& position, const KTexture& texture,
			const std::shared_ptr<KPlayerController>& playerController, KSettings* settings);

		const KCollider* GetCollider() const override;
	private:
		KRect Collider;
	};


}
